org.jboss.logmanager.config

## Interface LoggerConfiguration

All Superinterfaces:
  HandlerContainingConfigurable, NamedConfigurable

    public interface LoggerConfiguration
    extends NamedConfigurable, HandlerContainingConfigurable

Configuration for a single logger.

Author:
  David M. Lloyd

### Method Summary

Methods
`String` `getFilter()` Get the name of the filter to use.
`ValueExpression<String>` `getFilterValueExpression()` Returns a filter that may be an expression.
`String` `getLevel()` Gets the level set on the logger.
`ValueExpression<String>` `getLevelValueExpression()` Returns the level that may be an expression.
`Boolean` `getUseParentHandlers()` Determine whether parent handlers will be used.
`ValueExpression<Boolean>` `getUseParentHandlersValueExpression()` Returns a filter that may be an expression.
`void` `setFilter(String name)` Set the name of the filter to use, or `null` to leave unconfigured.
`void` `setFilter(String expression, String value)` Sets the expression value and for the filter.
`void` `setLevel(String level)` Sets the level on the logger.
`void` `setLevel(String expression, String level)` Sets the expression value for the level.
`void` `setUseParentHandlers(Boolean value)` Set whether to use parent handlers.
`void` `setUseParentHandlers(String expression)` Set whether to use parent handlers.
`void` `setUseParentHandlers(String expression, Boolean value)` Set whether to use parent handlers.

### Methods inherited from interface org.jboss.logmanager.config.NamedConfigurable

`getName`

### Methods inherited from interface org.jboss.logmanager.config.HandlerContainingConfigurable

`addHandlerName, getHandlerNames, removeHandlerName, setHandlerNames, setHandlerNames`

### Method Detail

#### getFilter

    String getFilter()

Get the name of the filter to use.

Returns:
  the filter name

#### getFilterValueExpression

    ValueExpression<String> getFilterValueExpression()

Returns a filter that may be an expression.

Returns:
  the filter

#### setFilter

    void setFilter(String name)

Set the name of the filter to use, or `null` to leave unconfigured.

Parameters:
  `name` - the filter name

#### setFilter

    void setFilter(String expression,
                 String value)

Sets the expression value and for the filter.

This method will not parse the expression for the value and instead use the `value` parameter for the filter on the logger.

Parameters:
  `expression` - the expression
  `value` - the value to set the filter to

#### getUseParentHandlers

    Boolean getUseParentHandlers()

Determine whether parent handlers will be used.

Returns:
  the setting, or `null` to leave unconfigured

#### getUseParentHandlersValueExpression

    ValueExpression<Boolean> getUseParentHandlersValueExpression()

Returns a filter that may be an expression.

Returns:
  the setting, or `null` to leave unconfigured as a value expression

#### setUseParentHandlers

    void setUseParentHandlers(Boolean value)

Set whether to use parent handlers. A value of `null` indicates that the value should be left unconfigured.

Parameters:
  `value` - whether to use parent handlers

#### setUseParentHandlers

    void setUseParentHandlers(String expression)

Set whether to use parent handlers.

Parameters:
  `expression` - the expression value used to resolve the setting
See Also:
  `setUseParentHandlers(Boolean)`, `ValueExpression`

#### setUseParentHandlers

    void setUseParentHandlers(String expression,
                            Boolean value)

Set whether to use parent handlers.

This method will not parse the expression for the value and instead use the `value` parameter for the setting on the logger.

Parameters:
  `expression` - the expression
  `value` - the value to set the setting to
See Also:
  `setUseParentHandlers(Boolean)`, `ValueExpression`

#### getLevel

    String getLevel()

Gets the level set on the logger.

Returns:
  the level

#### getLevelValueExpression

    ValueExpression<String> getLevelValueExpression()

Returns the level that may be an expression.

Returns:
  the level

#### setLevel

    void setLevel(String level)

Sets the level on the logger.

Parameters:
  `level` - the level to set, may be an expression
See Also:
  `ValueExpression`

#### setLevel

    void setLevel(String expression,
                String level)

Sets the expression value for the level.

This method will not parse the expression for the value and instead use the `level` parameter for the level on the logger.

Parameters:
  `expression` - the expression used to resolve the level
  `level` - the level to use
See Also:
  `setLevel(String)`, `ValueExpression`